Subject: Re: bug#5279: 23.1; VC: should set LC_MESSAGES to C (with patch)

From: Chong Yidong <[email-masked]>
Date: Sat, 16 Jan 2010 16:39:15 -0500

> I'm using emacs with LANG=fr_FR.UTF-8. When using C-x v +
> (`vc-update') on a file versionned with SVN, emacs barfs saying it
> can't parse the output from "svn update". Indeed, SVN said "À la
> révision 123" whereas "At revision 123" was expected. The following
> patch adds "LC_MESSAGES=C" to process-environment before calling
> external tools; this solves the problem for my case.

Thanks, the patch looks good.  I've checked it into the Emacs
repository.